import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-11-06 11:37
 */
export interface ContentConfig{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 问卷内容
    * @type { string }
    */
    content?: string;
    /**
    * 
    * @type { string }
    */
    createUser?: string;
    /**
    * 更新人
    * @type { string }
    */
    updateUser?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
}
export class ContentConfigMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','标识');
    }
    static get CONTENT(): FieldInfo{  
        return new FieldInfo('content','问卷内容');
    }
    static get CREATE_USER(): FieldInfo{  
        return new FieldInfo('createUser','');
    }
    static get UPDATE_USER(): FieldInfo{  
        return new FieldInfo('updateUser','更新人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2020-11-06 11:37
 */
export interface ContentDetailed{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 问卷内容id
    * @type { string }
    */
    contentId?: string;
    /**
    * 发送记录
    * @type { string }
    */
    sendRecordId?: string;
    /**
    * 问卷内容答案
    * @type { string }
    */
    answerContent?: string;
    /**
    * 是否浏览过  0 否 1 是
    * @type { string }
    */
    browsed?: string;
    /**
    * 是否答题过 0否 1 是
    * @type { string }
    */
    answered?: string;
    /**
    * 有效时间
    * @type { Date }
    */
    effDate?: Date;
    /**
    * 失效日期
    * @type { Date }
    */
    expDate?: Date;
    /**
    * 状态 1 正常 2 禁用 3.删除
    * @type { string }
    */
    status?: string;
    /**
    * 答卷人
    * @type { string }
    */
    submitUserId?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
}
export class ContentDetailedMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get CONTENT_ID(): FieldInfo{  
        return new FieldInfo('contentId','问卷内容id');
    }
    static get SEND_RECORD_ID(): FieldInfo{  
        return new FieldInfo('sendRecordId','发送记录');
    }
    static get ANSWER_CONTENT(): FieldInfo{  
        return new FieldInfo('answerContent','问卷内容答案');
    }
    static get BROWSED(): FieldInfo{  
        return new FieldInfo('browsed','是否浏览过  0 否 1 是');
    }
    static get ANSWERED(): FieldInfo{  
        return new FieldInfo('answered','是否答题过 0否 1 是');
    }
    static get EFF_DATE(): FieldInfo{  
        return new FieldInfo('effDate','有效时间');
    }
    static get EXP_DATE(): FieldInfo{  
        return new FieldInfo('expDate','失效日期');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态 1 正常 2 禁用 3.删除');
    }
    static get SUBMIT_USER_ID(): FieldInfo{  
        return new FieldInfo('submitUserId','答卷人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2020-11-06 11:37
 */
export interface SendRecord{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 标题
    * @type { string }
    */
    title?: string;
    /**
    * 发送内容id
    * @type { string }
    */
    contentId?: string;
    /**
    * 发送配置id
    * @type { string }
    */
    sendConfigId?: string;
    /**
    * 车场类型 1 速泊车场
    * @type { string }
    */
    lotType?: string;
    /**
    * 发送车场数
    * @type { number }
    */
    sendLotAmount?: number;
    /**
    * 发送角色 1 不限 2 车场管理者 3boss 4 财务 5普通员工
    * @type { string }
    */
    sendRole?: string;
    /**
    * 发送规则 1.收费30天后 2.每季度10号
    * @type { string }
    */
    sendRule?: string;
    /**
    * 状态 1 正常 2 禁用 3.删除
    * @type { string }
    */
    status?: string;
    /**
    * 有效时间
    * @type { Date }
    */
    effDate?: Date;
    /**
    * 失效日期
    * @type { Date }
    */
    expDate?: Date;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
}
export class SendRecordMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get TITLE(): FieldInfo{  
        return new FieldInfo('title','标题');
    }
    static get CONTENT_ID(): FieldInfo{  
        return new FieldInfo('contentId','发送内容id');
    }
    static get SEND_CONFIG_ID(): FieldInfo{  
        return new FieldInfo('sendConfigId','发送配置id');
    }
    static get LOT_TYPE(): FieldInfo{  
        return new FieldInfo('lotType','车场类型 1 速泊车场');
    }
    static get SEND_LOT_AMOUNT(): FieldInfo{  
        return new FieldInfo('sendLotAmount','发送车场数');
    }
    static get SEND_ROLE(): FieldInfo{  
        return new FieldInfo('sendRole','发送角色 1 不限 2 车场管理者 3boss 4 财务 5普通员工');
    }
    static get SEND_RULE(): FieldInfo{  
        return new FieldInfo('sendRule','发送规则 1.收费30天后 2.每季度10号');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','状态 1 正常 2 禁用 3.删除');
    }
    static get EFF_DATE(): FieldInfo{  
        return new FieldInfo('effDate','有效时间');
    }
    static get EXP_DATE(): FieldInfo{  
        return new FieldInfo('expDate','失效日期');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
}


